package de.intevation.flys.client.client.ui;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.form.fields.events.BlurHandler;
import com.smartgwt.client.widgets.form.fields.events.BlurEvent;
import com.smartgwt.client.widgets.form.fields.events.ChangeHandler;
import com.smartgwt.client.widgets.form.fields.events.ChangeEvent;
import com.smartgwt.client.widgets.layout.VLayout;

import de.intevation.flys.client.shared.model.Data;
import de.intevation.flys.client.shared.model.DataItem;
import de.intevation.flys.client.shared.model.DataList;
import de.intevation.flys.client.shared.model.DefaultData;
import de.intevation.flys.client.shared.model.DefaultDataItem;


/**
 * This UIProvider creates a widget to enter W or Q data for discharge
 * longitudinal section computations.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class WQAdaptedInputPanel
extends      AbstractUIProvider
implements   ChangeHandler, BlurHandler
{
    public WQAdaptedInputPanel() {
    }


    public Canvas create(DataList data) {
        GWT.log("HELLO INGO");
        Canvas submit = getNextButton();

        VLayout layout = new VLayout();
        layout.setMembersMargin(10);

        layout.addMember(submit);

        return layout;
    }


    public Canvas createOld(DataList dataList) {
        // TODO IMPLEMENT ME
        return new Label("Ich hab schon was eingegeben.");
    }


    public Data[] getData() {
        DataItem item = new DefaultDataItem("wq_mode", "wq_mode", "bla");

        Data mode = new DefaultData(
            "wq_mode", null, null, new DataItem[] { item });

        DataItem valueItem = new DefaultDataItem(
            "wq_values", "wq_values",
            "0.0;70.2;9.6");
        Data values = new DefaultData(
            "wq_values", null, null, new DataItem[] { valueItem });

        return new Data[] { mode, values };
    }


    public void onChange(ChangeEvent event) {
        // TODO IMPLEMENT ME
    }


    public void onBlur(BlurEvent event) {
        // TODO IMPLEMENT ME
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
